/*****************************************************************************/
/* File name: Constants.java                                                 */
/* Purpose: contains constants for input/output                              */
/*                                                                           */
/* Last modified: 10.08.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package io;


public
interface

Constants
{

/* "$Header */

  final static String
    REGULAR_FILE_CLASS_FULLY_QUALIFIED_NAME = "io.RegularFile";

  final static String GZIPPED_TAR_EXTENTION_STRING = ".tgz";
  final static String GZ_AND_TAR_EXTENTION_STRING  = ".tar.gz";
  final static String TAR_EXTENTION_STRING         = ".tar";

  final static String CACHE_FILE_EXTENTION = ".nfs";

  final static int BUFFERED_INPUT_STREAM_BUFFER_LENGTH = 8192;

} /* end of Constants interface */

/*****************************************************************************/
/* End of file: Constants.java                                               */
/*****************************************************************************/
