/*****************************************************************************/
/* File name: FileSystemable.java                                            */
/* Purpose: interface to represent a filesystem                              */
/*                                                                           */
/* Last modified: 20.07.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package io;


import java.lang.reflect.*;


public
interface

FileSystemable
{

/* $Header: /d/NFS/io/RCS/FileSystemable.java,v 1.1 1999/07/20 22:59:30 vklimov Exp $ */


  public
  Class
  getFileClass();


  public
  Filable
  getFilableInstance( java.lang.String path );


} /*end of FileSystemable */

/*****************************************************************************/
/* End of file: FileSystemable.java                                                 */
/*****************************************************************************/
