/*****************************************************************************/
/* File name: Cookie.java                                                    */
/* Purpose: to work with NFS cookie                                          */
/*                                                                           */
/* Last modified: 22.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package nfs;


public
class

Cookie
{

  private final static String RCSID =
"$Header: /d/NFS/nfs/RCS/Cookie.java,v 1.1 1999/06/23 17:00:37 vklimov Exp $";


  public

  Cookie()
/*****************************************************************************/
/* Function name: Cookie                                                     */
/* File name: Cookie.java                                                    */
/* Purpose: constructor for the Cookie class                                 */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 21.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                       /* Cookie */
/*---------------------------------------------------------------------------*/

    }
/*end of Cookie*/


  public
  static
  boolean

  signifiesDirectoryStart( long cookie )
/*****************************************************************************/
/* Function name: signifiesDirectoryStart                                    */
/* File name: Cookie.java                                                    */
/* Purpose: to check whether this cookie byte array signifies that we should */
/*          start to give directory entries from the beginning               */
/* Parameters: cookie                                                        */
/* Returns: true - if we have to start from the beginning, otherwise - false */
/* Last modified: 22.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                  /* signifiesDirectoryStart */
/*---------------------------------------------------------------------------*/

      if (cookie == 0)
        return true;
      else
        return false;
    /*end of if*/

    }
/*end of signifiesDirectoryStart*/

 } /* end of Cookie class */

/*****************************************************************************/
/* End of file: Cookie.java                                                  */
/*****************************************************************************/
