/*****************************************************************************/
/* File name: RegularBufferedInputStream.java                                */
/* Purpose: to make a Readable regular file                                  */
/*                                                                           */
/* Last modified: 26.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/* For the list of authors and contributors of the original C version        */
/* of the GNU tar see files AUTHORS and THANKS                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package io;

import java.io.*;
import java.util.*;
import util.*;


public
class

RegularBufferedInputStream
                    extends BufferedInputStream
                                       implements Readable

{

  private final static java.lang.String RCSID =
"$Header: /d/NFS/io/RCS/RegularBufferedInputStream.java,v 1.1 1999/06/26 18:14:51 vklimov Exp $";


  public

  RegularBufferedInputStream(
    InputStream underlyingInputStream )
/*****************************************************************************/
/* Function name: RegularBufferedInputStream                                 */
/* File name: RegularBufferedInputStream.java                                */
/* Purpose: constructor for the RegularBufferedInputStream class             */
/* Parameters: underlyingInputStream                                         */
/* Returns:                                                                  */
/* Last modified: 26.05.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                            /* RegularBufferedInputStream */
/*---------------------------------------------------------------------------*/

      super( underlyingInputStream );

    }
/*end of RegularBufferedInputStream*/

} /*end of RegularBufferedInputStream */

/*****************************************************************************/
/* End of file: RegularBufferedInputStream.java                              */
/*****************************************************************************/
