/*****************************************************************************/
/* File name: SpArray.java                                                   */
/* Purpose: descriptor object for a set of scratch spaces                    */
/* Last modified: 02.11.98                                                   */
/* Author: Victor Klimov, 1998                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package jtar;

import general.*;

final

class

SpArray

     implements jtar.Constants, general.Constants

{

  private final static String RCSID =
"$Header: /d/NFS/jtar/RCS/SpArray.java,v 1.1 1999/07/16 23:30:16 vklimov Exp $";


  int offset;    /* long int is 32 bits on X86 Linux GCC */
  int numbytes;  /* int is 32 bits on X86 Linux GCC      */
  
  SpArray( )
/*****************************************************************************/
/* Function name: SpArray                                                    */
/* File name: SpArray.java                                                   */
/* Purpose: constructor for the object SpArray                               */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 29.10.98                                                   */
/* Author: Victor Klimov, 1998                                               */
/*****************************************************************************/
    {
                                                            /* SpArray */
/*---------------------------------------------------------------------------*/

    }
/*end of SpArray*/

} /*end of SpArray */

/*****************************************************************************/
/* End of file: SpArray.java                                                 */
/*****************************************************************************/

